Documents
Viewing API version 2026-05-01. View the latest version.
Get List Documents Run
Retrieve typed status for a list-documents run.
Authorization
api_key X-API-Key<token>
Sign up at Kausate.com to get an API key
In: header
Path Parameters
orderId*string
List documents run ID
Query Parameters
customerId?|
Optional customer ID for validation
Header Parameters
Kausate-Version?string
Default
"2026-05-01"Format
dateResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.kausate.com/v2/companies/documents/list/string" \ -H "Kausate-Version: 2026-05-01"{
"orderId": "string",
"kausateId": "string",
"companyName": "string",
"customerReference": "string",
"metadata": {},
"customerId": "string",
"status": "running",
"requestTime": "2019-08-24T14:15:22Z",
"responseTime": "2019-08-24T14:15:22Z",
"result": {
"type": "listDocuments",
"documents": [
{
"kausateDocumentId": "string",
"title": "string",
"documentType": "string",
"publicationType": "string",
"publicationDate": "string",
"fileType": "string",
"source": "string"
}
],
"totalCount": 0,
"indexedAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z"
},
"error": "string",
"code": "string",
"currentActivity": "string",
"cachedOrder": false
}{
"detail": "Invalid company ID format",
"code": "request.invalid",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Not authenticated",
"code": "auth.unauthorized",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Invalid API key",
"code": "auth.forbidden",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Company not found",
"code": "company.not_found",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": [
{
"loc": [
"body",
"jurisdictionCode"
],
"msg": "Field required",
"type": "missing"
}
],
"code": "request.invalid",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Rate limit exceeded, please try again later",
"code": "source.rate_limited",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "An internal error occurred",
"code": "internal.unexpected",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "This capability is not available for this jurisdiction",
"code": "capability.not_available",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Network connection error",
"code": "source.network_error",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Data source temporarily unavailable",
"code": "source.unavailable",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}Last updated on